Tp::Service::ChannelInterfacePasswordAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | List of all members
Tp::Service::ChannelInterfacePasswordAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
uint | GetPasswordFlags (const QDBusMessage &dbusMessage)
bool | ProvidePassword (const QString &password, const QDBusMessage &dbusMessage)

## Signals
void | PasswordFlagsChanged (uint added, uint removed)

## Additional Inherited Members
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Password".

## Member Function Documentation

uint Tp::Service::ChannelInterfacePasswordAdaptor::GetPasswordFlags | ( | const QDBusMessage & | dbusMessage | ) |
| slot

Begins a call to the exported D-Bus method `GetPasswordFlags` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getPasswordFlags(const Tp::Service::ChannelInterfacePasswordAdaptor::GetPasswordFlagsContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Returns the bitwise-OR of the flags relevant to the password on this channel. The user interface can use this to present information about which operations are currently valid.

Returns

      An integer with the logical OR of all the flags set (values of
      ChannelPasswordFlags)

bool Tp::Service::ChannelInterfacePasswordAdaptor::ProvidePassword | ( | const QString & | password,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `ProvidePassword` on this object.

Adaptees should export this method as a Qt slot with the following signature: void providePassword(const QString& password, const Tp::Service::ChannelInterfacePasswordAdaptor::ProvidePasswordContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Provide the password so that the channel can be joined. Must be called with the correct password in order for channel joining to proceed if the 'provide' password flag is set.

Parameters

  password |
      The password

Returns

      A boolean indicating whether or not the password was correct

void Tp::Service::ChannelInterfacePasswordAdaptor::PasswordFlagsChanged | ( | uint | added,
|  | uint | removed
| ) |  |
| signal

Represents the exported D-Bus signal `PasswordFlagsChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void passwordFlagsChanged(uint added, uint removed);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  added |
      A bitwise OR of the flags which have been set
  removed |
      A bitwise OR of the flags which have been cleared